MACRO BOOS(3)

NAME
BOOST_MPI_HAS_MEMORY_ALLOCATION - Define this macro to avoid expensice MPI_Pack/Unpack calls on homogeneous machines.

SYNOPSIS

// In header: <boost/mpi/config.hpp>
BOOST_MPI_HAS_MEMORY_ALLOCATION

DESCRIPTION

Determine if the MPI implementation has support for memory allocation.

This macro will be defined when the underlying MPI implementation has support for the MPI-2 memory allocation routines MPI_Alloc_mem and MPI_Free_mem. When defined, the allocator class template will provide Standard Library-compliant access to these memory-allocation routines.